Bug 847512 - Review Request: mailnag - Mail notification daemon for GNOME 3
Review Request: mailnag - Mail notification daemon for GNOME 3
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Reber
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 08:56 EDT by Thorsten Leemhuis
Modified: 2012-08-25 20:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-25 20:22:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
adrian: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
patch for non-standard IMAP ports (816 bytes, patch)
2012-08-13 09:08 EDT, Adrian Reber
no flags Details | Diff

  None (edit)
Description Thorsten Leemhuis 2012-08-12 08:56:48 EDT
Spec URL: http://www.leemhuis.info/files/fedora/mailnag.spec
SRPM URL: http://www.leemhuis.info/files/fedora/mailnag-0.4.2-1.fc17.src.rpm

Description: 
Mailnag checks POP3 and IMAP servers for new mail and when it finds one 
creates a proper GNOME 3 notification that mentions sender and subject.

Fedora Account System Username: thl

Haven't submitted a package for a while; nevertheless I hope the spec file won't have to many mistakes ;-)

$ rpmlint  /home/thl/rpmbuild/SRPMS/mailnag-0.4.2-1.fc17.src.rpm /home/thl/rpmbuild/RPMS/noarch/mailnag-0.4.2-1.fc17.noarch.rpm
mailnag.noarch: E: explicit-lib-dependency python-httplib2
mailnag.noarch: W: no-manual-page-for-binary mailnag_config
mailnag.noarch: W: no-manual-page-for-binary mailnag

I think the error can be ignored here; or is there a better way to express a dependency on python-httplib2?
Comment 1 Adrian Reber 2012-08-13 09:07:52 EDT
Haven't reviewed a package for a while... But here you go:

fedora-review seems happy with only one 'Fail':

[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5

Probably not relevant as there is no GNOME 3 for EPEL5.

mailnag.noarch: E: explicit-lib-dependency python-httplib2

Other python.noarch packages are doing the same, so this seems the way to go.


MD5-sum check
-------------
https://github.com/downloads/pulb/mailnag/mailnag-0.4.2.tar.gz :
  MD5SUM this package     : 998666618dd0a4e23d3d11752262efac
  MD5SUM upstream package : 998666618dd0a4e23d3d11752262efac

Package ACCEPTed.

I will attach a small patch which enables the use of non standard IMAP ports. All my IMAP connections are tunneled through SSH and are using non standard ports and mailnag did not work for me without the patch.
Comment 2 Adrian Reber 2012-08-13 09:08:55 EDT
Created attachment 604000 [details]
patch for non-standard IMAP ports
Comment 3 Thorsten Leemhuis 2012-08-13 09:11:06 EDT
hey, great, many thx; will import later and submit patch upstream
Comment 4 Thorsten Leemhuis 2012-08-13 12:58:43 EDT
New Package SCM Request
=======================
Package Name: mailnag
Short Description: Mail notification daemon for GNOME 3
Owners: thl
Branches: f17 f18 
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-13 13:01:11 EDT
Git done (by process-git-requests).

Adrian, please take ownership of review BZs, thanks!
Comment 6 Fedora Update System 2012-08-13 16:20:58 EDT
mailnag-0.4.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mailnag-0.4.2-2.fc17
Comment 7 Fedora Update System 2012-08-14 05:21:40 EDT
Package mailnag-0.4.2-2.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mailnag-0.4.2-2.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11855/mailnag-0.4.2-2.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-08-25 20:22:50 EDT
mailnag-0.4.2-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.